commit: 819af439b82a6f4ab7bdd814526e043c6fc775ca
Author: Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 20 16:44:50 2020 +0000
Commit: Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Sun Dec 20 16:45:37 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=819af439
app-shells/dash-0.5.11.2: fix compilation on ppc-macos
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>
app-shells/dash/dash-0.5.11.2.ebuild | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/app-shells/dash/dash-0.5.11.2.ebuild
b/app-shells/dash/dash-0.5.11.2.ebuild
index ea4ee62b3c0..1299af651db 100644
--- a/app-shells/dash/dash-0.5.11.2.ebuild
+++ b/app-shells/dash/dash-0.5.11.2.ebuild
@@ -40,6 +40,10 @@ src_configure() {
# if your headers strictly adhere to POSIX, you'll need this too
[[ ${CHOST##*solaris2.} -le 10 ]] && append-cppflags
-DNAME_MAX=255
fi
+ if [[ ${CHOST} == powerpc-*-darwin* ]] ; then
+ sed -i -e 's/= stpncpy(s, \([^,]\+\), \([0-9]\+\))/+=
snprintf(s, \2, "%s", \1)/' \
+ src/jobs.c || die
+ fi
append-cppflags -DJOBS=$(usex libedit 1 0)
use static && append-ldflags -static
# Do not pass --enable-glob due to #443552.